package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag761;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT761Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag77UCreator extends AbsTagCreate {

     private MT761Creator mt761Creator;

    public Tag77UCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt761Creator= (MT761Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag77UValue = mt761Creator.getUndertakingTermsandConditions();
        mt761Creator.set("77U", tag77UValue);
    }
}
